# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Math/BigInt.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-CGI-Untaint
Version:        1.26
Release:        alt1_17
Summary:        Process CGI input parameters
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/CGI-Untaint/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/CGI-Untaint-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(UNIVERSAL/require.pm) perl(Test/More.pm) perl(CGI.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n CGI-Untaint-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/CGI


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1_17
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1_15
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1_13
- fc import

